=== debian/changelog ===
ros-eloquent-rclcpp-components (0.8.5-1bionic) bionic; urgency=high

  * Added rclcpp_components Doxyfile (#1091 <https://github.com/ros2/rclcpp/issues/1091>) (#1200 <https://github.com/ros2/rclcpp/issues/1200>)
  * Contributors: Alejandro Hernández Cordero

 -- Michael Carroll <michael@openrobotics.org>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-rclcpp-components (0.8.4-1bionic) bionic; urgency=high

  * Remove absolute path from installed CMake code (#948 <https://github.com/ros2/rclcpp/issues/948>) (#950 <https://github.com/ros2/rclcpp/issues/950>)
  * Contributors: Jacob Perron

 -- Michael Carroll <michael@openrobotics.org>  Fri, 17 Jan 2020 06:00:00 -0000

ros-eloquent-rclcpp-components (0.8.3-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 19 Nov 2019 06:00:00 -0000

ros-eloquent-rclcpp-components (0.8.2-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 18 Nov 2019 06:00:00 -0000

ros-eloquent-rclcpp-components (0.8.1-1bionic) bionic; urgency=high

  * Enable intra-process comm via LoadNode request. (#871 <https://github.com/ros2/rclcpp/issues/871>)
  * Aggregate all component manager API tests. (#876 <https://github.com/ros2/rclcpp/issues/876>)
  * Contributors: Michel Hidalgo

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-rclcpp-components (0.8.0-1bionic) bionic; urgency=high

  * Force explicit --ros-args in NodeOptions::arguments(). (#845 <https://github.com/ros2/rclcpp/issues/845>)
  * Use of -r/--remap flags where appropriate. (#834 <https://github.com/ros2/rclcpp/issues/834>)
  * Add line break after first open paren in multiline function call (#785 <https://github.com/ros2/rclcpp/issues/785>)
  * fix linter issue (#795 <https://github.com/ros2/rclcpp/issues/795>)
  * Remove non-package from ament_target_dependencies() (#793 <https://github.com/ros2/rclcpp/issues/793>)
  * fix for multiple nodes not being recognized (#790 <https://github.com/ros2/rclcpp/issues/790>)
  * Cmake infrastructure for creating components (#784 <https://github.com/ros2/rclcpp/issues/784>)
  * Contributors: Dan Rose, Michel Hidalgo, Shane Loretz, Siddharth Kucheria

 -- Michael Carroll <michael@openrobotics.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-eloquent-rclcpp-components (0.7.5-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 May 2019 05:00:00 -0000

ros-eloquent-rclcpp-components (0.7.4-1bionic) bionic; urgency=high

  * Rename parameter options (#745 <https://github.com/ros2/rclcpp/issues/745>)
  * don't use global arguments for components loaded into the manager (#736 <https://github.com/ros2/rclcpp/issues/736>)
  * Contributors: Dirk Thomas, William Woodall

 -- Michael Carroll <michael@openrobotics.org>  Wed, 29 May 2019 05:00:00 -0000

ros-eloquent-rclcpp-components (0.7.3-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-rclcpp-components (0.7.2-1bionic) bionic; urgency=high

  * Updated to support changes to ``Node::get_node_names()``. (#698 <https://github.com/ros2/rclcpp/issues/698>)
  * Contributors: jhdcs

 -- Michael Carroll <michael@openrobotics.org>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-rclcpp-components (0.7.1-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 26 Apr 2019 05:00:00 -0000

ros-eloquent-rclcpp-components (0.7.0-1bionic) bionic; urgency=high

  * Introduce rclcpp_components to implement composition (#665 <https://github.com/ros2/rclcpp/issues/665>)
  * Contributors: Michael Carroll

 -- Michael Carroll <michael@openrobotics.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-eloquent-rclcpp-components (0.6.2-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 12 Dec 2018 06:00:00 -0000

ros-eloquent-rclcpp-components (0.6.1-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 06 Dec 2018 06:00:00 -0000

ros-eloquent-rclcpp-components (0.6.0-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 19 Nov 2018 06:00:00 -0000

ros-eloquent-rclcpp-components (0.5.1-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 28 Jun 2018 05:00:00 -0000

ros-eloquent-rclcpp-components (0.5.0-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 25 Jun 2018 05:00:00 -0000

ros-eloquent-rclcpp-components (0.4.0-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 08 Dec 2017 06:00:00 -0000
